Installing riak fails due to missing libssl

Jared Morrow jared at basho.com
Mon Jan 23 08:38:05 EST 2012


They might indeed be on your system, but are simply not in your LD path so the linker doesn't know where to look for them.   One thing that is curious though, those last links are the 32bit libstdc++ libraries, are you on a 32bit system?   If not, you might not have the 64bit c++ libraries installed.   In my case, I have the libraries you have, as well as:

/usr/lib/x86_64-linux-gnu/libstdc++.so.6
/usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.16


If you do indeed want to link to the 32bit versions, make sure the linker is looking for that path.

env | grep LD_LIBRARY_PATH

If it is not, just add it in your start up scripts (defaulted to ~/.bashrc for ubuntu/mint)

export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:your_additional_path


Hope that helps,
Jared

On Jan 22, 2012, at 8:53 PM, Carl wrote:

> Thank you, that fixed the SSL problem and I was able to install the .deb
> correctly, so I can get on with my experiments.  There does seem to be a
> problem with how configure is doing its ">=" tests though.
> 
> But eventually I will want to run multiple instances on one node to play
> with failover, etc.  And for that I need to build from source (so says
> the doc.  I am not clear on why building from source gives different
> results than the binary install though.)
> 
> When building from source I still get the messages about libstdc++ as it
> tried to make "skerl".
> 
> ==> skerl (compile)
> /usr/bin/ld: cannot find -lstdc++
> collect2: ld returned 1 exit status
> ERROR: cc c_src/skein.o c_src/skein_api.o c_src/skein_block.o
> c_src/skein_debug.o c_src/skerl_nifs.o  -lstdc++ -shared 
> -L/usr/lib/erlang/lib/erl_interface-3.7.6/lib -lerl_interface -lei -o
> priv/skerl_nifs.so failed with error: 1 and output:
> 
> I can see the files I think it is looking for.  The last one is a link
> to the second one:
> /usr/lib/ure/lib/libstdc++.so.6
> /usr/lib/i386-linux-gnu/libstdc++.so.6.0.16
> /usr/lib/i386-linux-gnu/libstdc++.so.6
> 
> 
> On 1/22/2012 6:36 PM, Jared Morrow wrote:
>> The exact package name is libssl0.9.8, so:
>> 
>>> sudo apt-get install libssl0.9.8
>> 
> 
> 
> _______________________________________________
> riak-users mailing list
> riak-users at lists.basho.com
> http://lists.basho.com/mailman/listinfo/riak-users_lists.basho.com

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.basho.com/pipermail/riak-users_lists.basho.com/attachments/20120123/dab98053/attachment.html>


More information about the riak-users mailing list